<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <title>Prehistoric Gallery</title>
</head>
<style>
.card-img-top {
    width: 100%;
    height: 100%;
}
#title-a {
	color: inherit;
	text-decoration: inherit;
}
</style>
<body>
	<div class="container-md">
		<div class="row text-center">
			<h1><a href="/" id="title-a">Prehistoric Gallery</a></h1>
			<p>For all your wallpaper needs!</p>
			<form action="/" method="POST">
				<div class="form-group">
					<div class="row">
						<div class="col-11">
							<input id="inp" class="form-control" type="text" name='search' value="">
						</div>
						<div class="col-1">
							<button type="submit" class="btn btn-primary mb-2">Search</button>
						</div>
					</div>
				</div>
			</form>
		</div>
		<div class="row text-center">
			{% if context.status == "red_alert" %}
				<div class="alert alert-danger" role="alert">
					What are you doing?!?!?!
				</div>
				<img style="margin-left: auto; margin-right: auto; width: 25%;" src="https://media2.giphy.com/media/IQ47VvDzlzx9S/200.gif" />
			{% elif context.status == "over_limit" %}
				<div class="alert alert-danger" role="alert">
					Your search query is too long! There's surely not going to be any images <i>that</i> complicated....
				</div>
			{% else %}
				<h6>
					{% if context.status == "no_query" %}
					You didn't search for anything!
					{% elif context.status == "not_found" %}
					No results found for {{ context.query|safe }}
					{% elif context.status == "found" %}
					{{ context.found }} result(s) found for {{ context.query|safe }}
					{% elif context.status == "get" %}
					Here are the images that we have so far!
					{% endif %}
				</h6>
			{% endif %}
			
		</div>
		{% if context %}
		<div class="row text-center justify-content-center">
			{% for img in context.images %}
			<div class="col-sm-4">
				<div class="card m-2">
					<div class="card-header">
						{{ context.images[img].title }}
					</div>
					<div class="card-body">
						<img src="{{ context.images[img].url }}" class="card-img-top image-thb">
					</div>
				</div>
			</div>
			{% endfor %}
		</div>
		{% endif %}
	</body>
</html>